import { EntityRepository, Repository } from "typeorm";
import { RefundPolicyCmsEntity } from "./entities/refund-policy-cms.entity";
import { UpdateRefundPolicyCmsDto } from "./dto/update-refund-policy-cms.dto";

@EntityRepository(RefundPolicyCmsEntity)
export class RefundPolicyCmsRepository extends Repository<RefundPolicyCmsEntity> {

    async createEntity(dto: UpdateRefundPolicyCmsDto): Promise<RefundPolicyCmsEntity | Error> {
        try {
            const entity = this.create({
                description: dto.description
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateRefundPolicyCmsDto, id: string): Promise<RefundPolicyCmsEntity | Error> {
        try {
            await this.update(id, {
                description: dto.description
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<RefundPolicyCmsEntity[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}