import { EntityRepository, Repository } from "typeorm";
import { CreateShippingMethodCMSDto } from "./dto/create-shipping-method-cms-dto.dto";
import { UpdateShippingMethodCMSDto } from "./dto/update-shipping-method-cms-dto.dto";
import { ShippingMethodCMS } from "./entities/shipping-method-cms.entity";

@EntityRepository(ShippingMethodCMS)
export class ShippingMethodCMSRepository extends Repository<ShippingMethodCMS> {

    async createEntity(dto: CreateShippingMethodCMSDto): Promise<ShippingMethodCMS | Error> {
        try {
            const entity = this.create({
                upsImage: dto.upsImage,
                upsDisplayName: dto.upsDisplayName
            });
            await this.save(entity);
            return entity;
        } catch (e) {
            return e;
        }
    }

    async updateEntity(dto: UpdateShippingMethodCMSDto, id: string): Promise<ShippingMethodCMS | Error> {
        try {
            await this.update(id, {
                upsImage: dto.upsImage,
                upsDisplayName: dto.upsDisplayName
            });
            return await this.findOne(id);
        } catch (e) {
            return e;
        }
    }

    async findAll(): Promise<ShippingMethodCMS[] | Error> {
        try {
            return await this.find({
                where: {
                    isDeleted: false
                }
            });
        } catch (e) {
            return e;
        }
    }
}