import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { PackagesController } from "./packages.controller";
import { PackagesRepository } from "./packages.repository";
import { PackagesService } from "./packages.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([PackagesRepository])
    ],
    controllers: [PackagesController],
    providers: [PackagesService, JwtHelper]
})
export class PackagesModule {}
