import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';
import { FileUploadsService } from '../../file-uploads/file-uploads.service';
import { BrandController } from './brand.controller';
import { BrandRepository } from './brand.repository';
import { BrandService } from './brand.service';
import { UsersRepository } from 'src/modules/users/user.repository';
import JwtHelper from 'src/core/jwt/jwt.helper';
import { JwtModule } from "@nestjs/jwt";
import JwtConfigService from 'src/core/jwt/jwt-config.service';

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([BrandRepository]),
        TypeOrmModule.forFeature([UsersRepository])
    ],
    controllers: [BrandController],
    providers: [BrandService, FileUploadsService, JwtHelper]
})
export class BrandModule {}
