import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { ProductReviewController } from "./product-review.controller";
import { ProductReviewRepository } from "./product-review.repository";
import { ProductReviewService } from "./product-review.service";
import { ProductsRepository } from "../product/product.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ProductReviewRepository, ProductsRepository])
    ],
    controllers: [ProductReviewController],
    providers: [ProductReviewService, JwtHelper]
})
export class ProductReviewModule {}
